Page MenuHomePhabricator

Forces users to relogin every couple hundred edits ("loss of session data" error)
Closed, ResolvedPublic

Description

I don't know if this is a feature or a bug but AWB requires users to relogin every couple hundred edits. Its possible this is by design in which case feel free to close this ticket but just in case this was an unintentional glitch I wanted to mention it.

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Other wiki related on the AutoWikiBrowser board.
Reguyla added subscribers: Reguyla, Aklapper.

After asking several people who use AWB on EN no one has noticed this problem so I think this is only occurring on Commons. Also, the exact error message is a popup that says:

Logged off

You have been logged off due to loss of session data.
Please relogin.
Matanya set Security to None.

Sounds like a dupe of T102199?

The problem is not only in commons.

Anomie added a subscriber: Anomie.Jun 21 2015, 10:42 AM

This has nothing to do with the API beyond the fact that the API is being used.

Looking at AWB's source code, I don't see the exact message quoted. I do see "You've been logged off, probably due to loss of session data.", which among other times appears when AWB receives a 'badtoken' error. This is incorrect behavior, BTW: it should be loading a new token and resubmitting the action rather than claiming the user has been logged off.

The portion of this bug due to MediaWiki or Wikimedia's setup is very likely a direct dup of T102199.

Anomie removed a subscriber: Anomie.Jun 21 2015, 10:42 AM

Yes, This is very likely a but of T102199.

zhuyifei1999 moved this task from Incoming to Backlog on the Commons board.Jun 23 2015, 6:40 AM
Rjwilmsi renamed this task from Commons forces users to relogin every couple hundred edits to Forces users to relogin every couple hundred edits ("loss of session data" error).Jun 23 2015, 4:09 PM
Rjwilmsi triaged this task as High priority.
Rjwilmsi added a subscriber: Rjwilmsi.

Affects all projects not just commons. I'll look at whether AWB can automatically log user back in / reload page / resubmit etc. Root cause looks likely to be T102199 though AWB should be able to be a bit more helpful.

Rjwilmsi closed this task as Resolved.Jun 24 2015, 8:58 AM
Rjwilmsi claimed this task.

Yes, so when AWB gets the badtoken error from the API we ask the user to log in, but we don't need the user to log in, we can just process the page again (same behaviour as having a timeout error). rev 11269 corrects that. So resolved from AWB perspective.